# setshareddevice

![Parralels](https://www.parallels.com/static/pl/fileadmin/res/img/navigation/pl-logo-dk.png)

## AppserverClient Command Line Interface

### setshareddevice

updates the shared devcie configuration.

**Category: Connections**

```
AppServerClientCLI setshareddevice -server myserver [-mode 1] [-port 443] [-backup backupserver,1,443,backup2,0,80] [-alias alias] [-authtype 1]  [-usecredentials  -username user -password pwd]  
```

### Arguments

* **`server (mandatory)`** Specify the server to connect to.
* **`theme (optional)`** Specify the theme to be used.
* **`mode (optional)`** Specify the connection mode.
* **`port (optional)`** Specify the port to connect to. If not specified, port 443 will be used.
* **`backup (optional)`** Specify altenate backup connections.
* **`alias (optional)`** Specify the display name of the connection.
* **`authtype (optional)`** Specify the authentication type of the connection. This argument is ignored if usecredentials is set.
* **`usecredentials (optional)`** Shared connection will use credentials authentication type and requires username and password.
* **`username (optional)`** Specify the username.
* **`password (optional)`** Specify the password.

### Return codes:

ok - Command was successful\
NotAvailable - Communication with the client backend failed, ensure that the client is running\
InvalidArgs - Some arguments are missing or invalid\
AccessDenied - Logged on user does not have permission to perform the action\
Exception - System problem

### Examples:

AppServerClientCLI setshareddevice AppServerCLI updatesharedconnection -server server\
AppServerClientCLI setshareddevice AppServerCLI updatesharedconnection -server myserver -mode 1 -port 443\
AppServerClientCLI setshareddevice AppServerCLI updatesharedconnection -server myserver -mode 1 -port 443 -usecredentials -username user -password pwd

### Notes:

Client needs to be running in elevated mode for this command to work.\
For more information about specific arguments please visit [settingsinfo](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.2-release/30_RAS-20_Client_Guides/Windows_CLI/commands/settingsinfo.html).

### See also:

[listconnections](/landing/ras-windows-cli-guide/v20/commands/listconnections.md)\
[addconnection](/landing/ras-windows-cli-guide/v20/commands/addconnection.md)\
[updateconnection](/landing/ras-windows-cli-guide/v20/commands/updateconnection.md)\
[duplicateconnection](/landing/ras-windows-cli-guide/v20/commands/duplicateconnection.md)\
[deleteconnection](/landing/ras-windows-cli-guide/v20/commands/deleteconnection.md)\
[getshareddevice](/landing/ras-windows-cli-guide/v20/commands/getshareddevice.md)\
[clearshareddevice](/landing/ras-windows-cli-guide/v20/commands/clearshareddevice.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-windows-cli-guide/v20/commands/setshareddevice.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
